import SR6BaseItemData from '../base-item-data.mjs';

export default class SR6AdeptpowerItemData extends SR6BaseItemData {
    static defineSchema() {
        const fields = foundry.data.fields;
        return {
            ...super.defineSchema(),
            hasLevel:   new fields.BooleanField({ initial: false }),
            level:      new fields.NumberField({ initial: 0 }),
            choice:     new fields.StringField({ initial: "" }),
            cost:       new fields.NumberField({ initial: 0 }),
            activation: new fields.StringField({ initial: "" })
        };
    }
}
